/**
 * Bull SAS / OW2 Orchestra
 * Copyright (C) 2011 Bull S.A.S, and individual contributors as indicated
 * by the @authors tag.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 */
package org.ow2.orchestra.designer.vo {
  import com.adobe.cairngorm.vo.IValueObject;

  import org.ow2.orchestra.designer.bpmn.model.operations.InterfaceModel;

  [Bindable]
  [RemoteClass(alias="org.ow2.orchestra.designer.wsdlNavigator.Service")]
  public class WsdlService implements IValueObject {
    private var _name:String;
    private var _namespace:String;
    private var _interfaceModel:InterfaceModel;
    private var _wsdlPath:String;

    public function WsdlService() {
    }

    public function get name():String {
      return _name;
    }

    public function set name(value:String):void {
      _name = value;
    }


    public function get namespace():String {
      return _namespace;
    }

    public function set namespace(value:String):void {
      _namespace = value;
    }


    public function get interfaceModel():InterfaceModel {
      return _interfaceModel;
    }

    public function set interfaceModel(value:InterfaceModel):void {
      _interfaceModel = value;
    }

    public function get wsdlPath():String {
      return _wsdlPath;
    }

    public function set wsdlPath(value:String):void {
      _wsdlPath = value;
    }
  }
}
